Get user organizations
Lists the users organizations, i.e. the organizations that the user is expensing for plus organizations that the user is an approver for. Normally a user only belongs to one organization but a user may have multiple organizations. This resource returns the organizations the person belongs to together with the employee information related to that person and organization
curl --request GET \
--url https://stage-api.findity.com/api/v1/expense/me/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/expense/me/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/expense/me/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me/organizations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/expense/me/organizations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me/organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"count": 2,
"total": 2
},
"data": [
{
"id": "11adfe2a080040e3892ffb89c21ec44e",
"name": "Example Ltd.",
"policyUrl": "https://stage-expense.findity.com/api/v1/expense/me/organizations/8ab28cb3660a709201660b02d91a0380/policies/documents/ff8080819391c420019391d884572201?X-Findity-Date=1733238956080&X-Findity-Expires=1733325356080&X-Findity-Credential=8ab28c5085e7cc290185e8b5a49d05b8&X-Findity-ClientApplicationId=16200214&X-Findity-Signature=b474357d403aad430dcd56f6f37342d32c8a05cac32734da4bc7f35cf34e590f",
"meta": {
"permissions": {
"canAddCard": true,
"canViewExpenses": true,
"canApprove": false,
"canCreateExpense": true,
"canCreateReport": false,
"canSendExpenses": true,
"canSendReports": false,
"canDeleteAccount": false,
"canAdminister": false
}
},
"design": {
"accentColor": "#9cd8c4",
"secondaryAccentColor": "#4c8dc9",
"darkAccentColor": "#dad5c2",
"secondaryDarkAccentColor": "#2c5dad",
"textOnAccentColor": "#ffffff",
"textOnDarkAccentColor": "#000000",
"textOnSecondaryAccentColor": "#ffffff",
"textOnSecondaryDarkAccentColor": "#000000",
"logoUrl": "https://expense.findity.com/api/resources/ff808181442fd36301443006074e00c4",
"menuLogoUrl": "https://expense.findity.com/api/resources/ff808181442fd36301443006074f00d4",
"iconUrl": "https://expense.findity.com/api/resources/ff808181442fd36301443006174e00a4"
},
"settings": {
"bookingCountry": "SE",
"reportMaxNumberOfExpenses": 10,
"expenseReceiptMaxSize": 5,
"expenseEmail": "test@findity.com",
"supportSettings": {
"type": "url-dialog",
"title": "Support",
"value": "https://support.findity.com"
}
}
},
{
"id": "e652f2cf23fd451e9578ac5735c6cd2c",
"name": "Example2 Ltd.",
"meta": {
"permissions": {
"canAddCard": true,
"canViewExpenses": true,
"canApprove": false,
"canCreateExpense": true,
"canCreateReport": false,
"canSendExpenses": true,
"canSendReports": false,
"canDeleteAccount": false,
"canAdminister": false
}
},
"design": {
"accentColor": "#35607d",
"secondaryAccentColor": "#d70653",
"darkAccentColor": "#181724",
"secondaryDarkAccentColor": "#427181",
"textOnAccentColor": "#ffffff",
"textOnDarkAccentColor": "#000000",
"textOnSecondaryAccentColor": "#ffffff",
"textOnSecondaryDarkAccentColor": "#000000",
"logoUrl": "https://expense.findity.com/api/resources/d0cf1fa769224d228c22829b7129352e",
"menuLogoUrl": "https://expense.findity.com/api/resources/02d948e324e344c2a8997a9fdb237227",
"iconUrl": "https://expense.findity.com/api/resources/3a04dbf5a9434af3b4dec80a07b0db5a"
},
"settings": {
"bookingCountry": "GB",
"reportMaxNumberOfExpenses": 5,
"expenseReceiptMaxSize": 10,
"expenseEmail": "test2@findity.com",
"supportSettings": {
"type": "none",
"title": "Support",
"value": ""
}
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
max records to return
1 <= x <= 1000the offset to be used in list
x >= 0optional properties to include
settings, design, meta.permissions free text to search for
Response
OK
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
if user can connect new credit cards
if user can view expenses, i.e. is an employee of an organiation
if user can approve expenses in the current organization
if user can create expenses
if user can create expense reports
if user can send in single expenses
if user can send expense reports
if user is allowed to delete the account
if user has administration rights for the current organization, allowing them to manage organization settings, members, and related configuration
UUID without dashes (32-character hex string)
^[0-9a-fA-F]{32}$Hide child attributes
Hide child attributes
Hex color code
Hex color code
Hex color code
Hex color code
Hex color code
Hex color code
Hex color code
Hex color code
Hide child attributes
Hide child attributes
Max size in MB
Email to send expense receipts
Hide child attributes
Hide child attributes
Date when support access expires
Url to toggle support access for organization
True if support access is enabled
Text to display for the user
curl --request GET \
--url https://stage-api.findity.com/api/v1/expense/me/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/expense/me/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/expense/me/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me/organizations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/expense/me/organizations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me/organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"count": 2,
"total": 2
},
"data": [
{
"id": "11adfe2a080040e3892ffb89c21ec44e",
"name": "Example Ltd.",
"policyUrl": "https://stage-expense.findity.com/api/v1/expense/me/organizations/8ab28cb3660a709201660b02d91a0380/policies/documents/ff8080819391c420019391d884572201?X-Findity-Date=1733238956080&X-Findity-Expires=1733325356080&X-Findity-Credential=8ab28c5085e7cc290185e8b5a49d05b8&X-Findity-ClientApplicationId=16200214&X-Findity-Signature=b474357d403aad430dcd56f6f37342d32c8a05cac32734da4bc7f35cf34e590f",
"meta": {
"permissions": {
"canAddCard": true,
"canViewExpenses": true,
"canApprove": false,
"canCreateExpense": true,
"canCreateReport": false,
"canSendExpenses": true,
"canSendReports": false,
"canDeleteAccount": false,
"canAdminister": false
}
},
"design": {
"accentColor": "#9cd8c4",
"secondaryAccentColor": "#4c8dc9",
"darkAccentColor": "#dad5c2",
"secondaryDarkAccentColor": "#2c5dad",
"textOnAccentColor": "#ffffff",
"textOnDarkAccentColor": "#000000",
"textOnSecondaryAccentColor": "#ffffff",
"textOnSecondaryDarkAccentColor": "#000000",
"logoUrl": "https://expense.findity.com/api/resources/ff808181442fd36301443006074e00c4",
"menuLogoUrl": "https://expense.findity.com/api/resources/ff808181442fd36301443006074f00d4",
"iconUrl": "https://expense.findity.com/api/resources/ff808181442fd36301443006174e00a4"
},
"settings": {
"bookingCountry": "SE",
"reportMaxNumberOfExpenses": 10,
"expenseReceiptMaxSize": 5,
"expenseEmail": "test@findity.com",
"supportSettings": {
"type": "url-dialog",
"title": "Support",
"value": "https://support.findity.com"
}
}
},
{
"id": "e652f2cf23fd451e9578ac5735c6cd2c",
"name": "Example2 Ltd.",
"meta": {
"permissions": {
"canAddCard": true,
"canViewExpenses": true,
"canApprove": false,
"canCreateExpense": true,
"canCreateReport": false,
"canSendExpenses": true,
"canSendReports": false,
"canDeleteAccount": false,
"canAdminister": false
}
},
"design": {
"accentColor": "#35607d",
"secondaryAccentColor": "#d70653",
"darkAccentColor": "#181724",
"secondaryDarkAccentColor": "#427181",
"textOnAccentColor": "#ffffff",
"textOnDarkAccentColor": "#000000",
"textOnSecondaryAccentColor": "#ffffff",
"textOnSecondaryDarkAccentColor": "#000000",
"logoUrl": "https://expense.findity.com/api/resources/d0cf1fa769224d228c22829b7129352e",
"menuLogoUrl": "https://expense.findity.com/api/resources/02d948e324e344c2a8997a9fdb237227",
"iconUrl": "https://expense.findity.com/api/resources/3a04dbf5a9434af3b4dec80a07b0db5a"
},
"settings": {
"bookingCountry": "GB",
"reportMaxNumberOfExpenses": 5,
"expenseReceiptMaxSize": 10,
"expenseEmail": "test2@findity.com",
"supportSettings": {
"type": "none",
"title": "Support",
"value": ""
}
}
}
]
}
